List Models
curl --request GET \
--url https://api.fish.audio/model \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fish.audio/model"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fish.audio/model', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"total": 123,
"items": [
{
"_id": "<string>",
"title": "<string>",
"tags": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"like_count": 123,
"mark_count": 123,
"shared_count": 123,
"task_count": 123,
"author": {
"_id": "<string>",
"nickname": "<string>",
"avatar": "<string>"
},
"description": "",
"cover_image": "",
"train_mode": "full",
"samples": [],
"languages": [],
"lock_visibility": false,
"dmca_taken_down": false,
"default_text": "",
"source": "<string>",
"quality": {
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"audios": [
{
"filename": "<string>",
"duration_ms": 123,
"language": "unknown",
"quality": {},
"quality_passed": false,
"quality_reason": ""
}
]
},
"unliked": false,
"liked": false,
"marked": false
}
],
"has_more": true
}[
{
"loc": [
"<string>"
],
"type": "<string>",
"msg": "<string>",
"ctx": "<string>"
}
]Voice Models
List Models
Get a list of all models
GET
/
model
List Models
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Page size
Required range:
x >= 1Page number
Required range:
x >= 1Title to filter models
Tag to filter models
If True, only models created by the user will be returned
Author ID to filter models, this will be ignored if self is True
Language to filter models
Title language to filter models
Available options:
score, task_count, created_at Was this page helpful?
⌘I

